Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.model.entity
Class CardUsage

    java.lang.Object
      org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
          org.eclipse.higgins.ics.gwt.base.client.model.entity.CardUsage

All Implemented Interfaces:
  Serializable

public class CardUsage
extends BaseEntity
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`CardUsage()`
`CardUsage(String date, String site, boolean saved)`

Method Summary
`String` | `getDate()` Gets the date value for this CardUsage
`String` | `getSite()` Gets the site value for this CardUsage
`boolean` | `isSaved()`
`void` | `setDate(String date)` Sets the date value for this CardUsage
`void` | `setIsSaved(boolean isSaved)`
`void` | `setSite(String site)` Sets the site value for this CardUsage

Methods inherited from class org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
`getName, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CardUsage

    public CardUsage()

### CardUsage

    public CardUsage(String date,
                     String site,
                     boolean saved)

Method Detail

### getDate

    public String getDate()

  Gets the date value for this CardUsage

  Returns:
    date

### setDate

    public void setDate(String date)

  Sets the date value for this CardUsage

  Parameters:
    `date` -

### getSite

    public String getSite()

  Gets the site value for this CardUsage

  Returns:
    site

### setSite

    public void setSite(String site)

  Sets the site value for this CardUsage

  Parameters:
    `site` -

### setIsSaved

    public void setIsSaved(boolean isSaved)

### isSaved

    public boolean isSaved()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD